Bug 771738 - var_export on negative array indexes returns unsigned index id
Summary: var_export on negative array indexes returns unsigned index id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-04 19:35 UTC by Benjamin Smith
Modified: 2013-02-21 10:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:13:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0514 normal SHIPPED_LIVE Moderate: php security, bug fix and enhancement update 2013-02-20 21:29:20 UTC

Description Benjamin Smith 2012-01-04 19:35:33 UTC
Description of problem:
Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=700724 on EL6

Version-Release number of selected component (if applicable):
6.X 

How reproducible:
Always 

Steps to Reproduce:
see https://bugzilla.redhat.com/show_bug.cgi?id=700724


Additional info:
Bug is already fixed in PHP later releases.

Comment 2 Joe Orton 2012-01-09 16:53:08 UTC
Thanks a lot for reporting this.

Comment 4 Suzanne Yeghiayan 2012-02-14 23:26:54 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 RHEL Product and Program Management 2012-07-10 08:31:43 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 RHEL Product and Program Management 2012-07-11 01:54:00 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 11 errata-xmlrpc 2013-02-21 10:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0514.html


Note You need to log in before you can comment on or make changes to this bug.